#ifndef HARDWARE_PROFILE_H
#define HARDWARE_PROFILE_H

// Maximum System frequency of 80MHz for PIC32MX3xx, PIC32MX4xx, 
// PIC32MX5xx, PIC32MX6xx and PIC32MX7xx devices.
#define SYS_FREQ (80000000L)

// Common macros 
// Clock frequency values
// These directly influence timed events using the Tick module.  They also are used for UART and SPI baud rate generation.
#define GetSystemClock()		SYS_FREQ			// Hz
#define GetInstructionClock()	(GetSystemClock()/1)	// 
#define GetPeripheralClock()	(GetSystemClock()/1)	// Divisor is dependent on the value of FPBDIV set(configuration bits).

// Demo board hardware profiles
#include "HardwareProfile_PIC32MX_PIM_Explorer_16.h"

#endif  //HARDWARE_PROFILE_H
